TLSRPT_ERROR_CODE_IS_INTERNAL(3)

NAME
tlsrpt_error_code_is_internal - returns if the error code is internal to the TLSRPT library

SYNOPSIS

#include <tlsrpt.h>

int tlsrpt_error_code_is_internal(int errorcode)

DESCRIPTION

The tlsrpt_error_code_is_internal function returns if the error code is internal to the TLSRPT library. tlsrpt_error_code_is_internal returns 1 if the error code describes an error internal to the TLSRPT library. tlsrpt_error_code_is_internal returns 0 if the error code is a composed error code combined of the C library function and the call site within the TLSRPT library and the errno value resulting from the failed call into the C library.

RETURN VALUE

The tlsrpt_error_code_is_internal function returns if the error code is internal to the TLSRPT library.

SEE ALSO

tlsrpt_strerror(3), tlsrpt_errno_from_error_code(3)

AUTHOR(S)

Boris Lohner
    Author(s).